Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents
Global Majic Software, Inc.

Instrument Custom Control Library

Odometer control

Properties	Events	Product Support	Copyright

Description:

The Odometer Control displays a simple odometer which may be manipulated in a variety of ways.  These include control font, font size, with or without reset button, etc.  If a reset button is desired, the mouse may be used to reset the odometer.  The control include bevels for a 3D appearance.


Product Support

Product support for Instrument Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


Value
Value Property

Description

Sets or returns the control's displayed value.

Usage

[form.]control.Value[ = long ]

Remarks

This property is simply the value displayed on the odometer.  The only constrait is that it must be positive (all negative values are set to 0).

Data Type

Float


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


Odom Properties
Properties:

BackColor	FontName	ResetButton
BevelInner	FontSize	ResetPicture
BevelOuter	FontStrikethru	TabIndex
BevelWidth	FontUnderline	TabStop
BorderWidth	Height	Tag
Decimal	HelpContextID	Top
Digits	Index	Value
Enabled	Left	Visible
FontBold	MousePointer	Width
FontItalic	Name


Odom Events
Events:

Click

GotFocus

LostFocus

Reset


Odom ResetButton
ResetButton Property

Description

Determines if the odometer control displays a reset button.

Usage

[form.]control.ResetButton[ = {TRUE|FALSE} ]

Setting

The ResetButton property settings are:

Setting 	Description

True	Reset button available.  Allows the control's Value to be modified with mouse input.

False	No reset button.

Remarks

A bitmap may be used instead of the provided graphical representation through the use of the ResetPicture Property.

Data Type

Integer (Boolean)


Odom Reset Picture
ResetPicture Property

Description

Determines the graphic to be displayed when the odometer control's ResetButton = TRUE.

Usage

[form.]control.ResetPicture[ = picture ]

Setting

The ResetPicture property settings are:

Setting 	Description

(none)	No picture is displayed.

(bitmap)	At design-time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using the LoadPicture function.

Remarks

When setting the picture at design-time, the picture will be saved with the form, and will be compiled into the executable.  The bitmap is stretched to fit the ResetButton.

Data Type

Integer


Odom Digits
Digits Property

Description

Determines the number of rollers displayed in the odometer control.

Usage

[form.]control.Digits[ = integer ]

Remarks

The Digits property defines the number of rollers in the odometer.  The Decimals property defines how many of the digits are used to display decimal values.

Data Type

Interger.


Odom Decimals
Decimals Property

Description

Determines the number of rollers which display decimal values in the odometer control.

Usage

[form.]control.Decimals[ = integer ]

Remarks

The Digits property defines the number of rollers in the odometer.  The Decimals property defines how many of the digits are used to display decimal values.

Data Type

Interger.